Package org.springframework.context.annotation

# Enum Class FilterType

java.lang.Object
java.lang.Enum<FilterType>
org.springframework.context.annotation.FilterType

All Implemented Interfaces:
  `Serializable`, `Comparable<FilterType>`, `Constable`

public enum FilterType extends Enum<FilterType>
Enumeration of the type filters that may be used in conjunction with `@ComponentScan`.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller, Chris Beams
See Also:
  - `ComponentScan`
  - `ComponentScan.includeFilters()`
  - `ComponentScan.excludeFilters()`
  - `TypeFilter`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANNOTATION`
Filter candidates marked with a given annotation.
`ASPECTJ`
Filter candidates matching a given AspectJ type pattern expression.
`ASSIGNABLE_TYPE`
Filter candidates assignable to a given type.
`CUSTOM`
Filter candidates using a given custom `TypeFilter` implementation.
`REGEX`
Filter candidates matching a given regex pattern.

## Method Summary

Modifier and Type
Method
Description
`static FilterType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FilterType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ANNOTATION

public static final FilterType ANNOTATION
Filter candidates marked with a given annotation.

See Also:
  - `AnnotationTypeFilter`

### ASSIGNABLE_TYPE

public static final FilterType ASSIGNABLE_TYPE
Filter candidates assignable to a given type.

See Also:
  - `AssignableTypeFilter`

### ASPECTJ

public static final FilterType ASPECTJ
Filter candidates matching a given AspectJ type pattern expression.

See Also:
  - `AspectJTypeFilter`

### REGEX

public static final FilterType REGEX
Filter candidates matching a given regex pattern.

See Also:
  - `RegexPatternTypeFilter`

### CUSTOM

public static final FilterType CUSTOM
Filter candidates using a given custom `TypeFilter` implementation.

## Method Details

### values

public static FilterType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FilterType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null